Subject: Re: [Sipping] Re: Comment on GRUU requirements

From: Rohan Mahy <[email-masked]>
Date: Tue, 12 Aug 2003 15:54:58 -0700

On Wednesday, July 30, 2003, at 09:13 AM, Jonathan Rosenberg wrote:

>
>
> Adam Roach wrote:
>
>> Alan Johnston [mailto:[email-masked]] writes:
>>  > If we do not use a GRUU in a Contact, then it will not help solve 
>> the
>>  > attended transfer problem or the conferencing application -
>>  > both of these use the Contact URI.
>> Admittedly I haven't given this a whole lot of thought
>> yet, so it might not make perfect sense... but... can't
>> we solve these cases by using a new header and making such
>> applications GRUU aware?
>
> That was what I had in mind, yes.
>
> Attended transfer, it seems, already needs to be aware of how to get a 
> GRUU. The current draft has a whole slew of mechanisms for doing it, 
> the aim would be that the GRUU approach would replace those > mechanisms.

To be fair, the current mechanism is try and pray.

> Similarly in cc-conferencing, it already talks about using the 
> contact, so now it could talk about using the gruu in this other 
> header.
>
> I don't think we have so much of either of these deployed that this 
> cannot change.

I disagree.  Most of the SIP phones I see at SIPit support completing a 
transfer using a REFER with a Replaces header embedded in the Refer-To. 
  The Refer-To URI is always set to the Contact URI of the appropriate 
UA.

thanks,
-rohan

>
> -Jonathan R.
>
>
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 13 Aug 2003 13:58:43 -0400

Rohan Mahy wrote:

>  The Refer-To URI is always set to the Contact URI of the appropriate UA.

Well, we have here the standard problem here of having implementations 
of long-running drafts, and then deciding down the road that something 
needs to change.

I think we want a non-GRUU in the Contact header (to avoid spirals 
through proxies, and needless load when the proxy doesnt intend to 
record-route), but we want a GRUU for attended-transfer. I would 
propose to use a separate header to identify GRUUs. Existing phones 
will work as they currently do, and when two phones both support GRUU, 
you get more reliable service. I recognize that putting the GRUU in 
the contact would mean only one of the phones needs to support it 
(clearly better), but the cost of this is a long-term situation that 
we don't want.

-Jonathan R.

---

From: Alan Johnston <[email-masked]>
Date: Fri, 15 Aug 2003 10:10:10 -0500

At 01:58 PM 8/13/2003 -0400, Jonathan Rosenberg wrote:

>>transfer using a REFER with a Replaces header embedded in the 
>>Refer-To.  The Refer-To URI is always set to the Contact URI of the 
>>appropriate UA.
>
>Well, we have here the standard problem here of having implementations of 
>long-running drafts, and then deciding down the road that something needs 
>to change.
>
>I think we want a non-GRUU in the Contact header (to avoid spirals through 
>proxies, and needless load when the proxy doesnt intend to record-route),

I think you are making an assumption that every GRUU must route through a 
proxy.  Why is that?  I have argued all along that most UAs already have a 
GRUU - it is their Contact URI.  Only in cases where a NAT/Firewall or some 
proxy screening logic is in the way does a GRUU need to route through a proxy.

Also, I don't think spirals are an issue since when the proxy first 
receives the GRUU, recognizes it as its own and perform the algorithm to 
extract the Contact, then send it there.

As for needless load, if the proxy doesn't record route then it obviously 
doesn't need to be there in the GRUU - the Contact must work just fine in 
reaching the UA or the existing dialog is broken.

Thanks,
Alan Johnston
MCI

>  but we want a GRUU for attended-transfer. I would propose to use a 
> separate header to identify GRUUs. Existing phones will work as they 
> currently do, and when two phones both support GRUU, you get more 
> reliable service. I recognize that putting the GRUU in the contact would 
> mean only one of the phones needs to support it (clearly better), but the 
> cost of this is a long-term situation that we don't want.
>
>-Jonathan R.
>
>
>
>--